summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan McGee <dan@archlinux.org>2012-04-08 21:51:24 -0500
committerDan McGee <dan@archlinux.org>2012-04-08 21:51:24 -0500
commit3a82885348d90a4b11184559a577359c2930b212 (patch)
treee5a163bcb243fd2ec695915f4b4c4a38483fd195
parent569876f9309fc04d6f77f852c5ca096721d6044b (diff)
parentca090e10d264e4999e321b0a0b43736a34aa11d9 (diff)
downloadpacman-3a82885348d90a4b11184559a577359c2930b212.tar.gz
pacman-3a82885348d90a4b11184559a577359c2930b212.zip
Merge branch 'maint'
-rw-r--r--scripts/pacman-key.sh.in6
1 files changed, 1 insertions, 5 deletions
diff --git a/scripts/pacman-key.sh.in b/scripts/pacman-key.sh.in
index 323fc572..288b76eb 100644
--- a/scripts/pacman-key.sh.in
+++ b/scripts/pacman-key.sh.in
@@ -436,14 +436,10 @@ refresh_keys() {
}
verify_sig() {
- local fd="$(mktemp)"
- "${GPG_PACMAN[@]}" --status-file "${fd}" --verify $SIGNATURE
- if ! grep -q TRUST_FULLY "${fd}"; then
- rm -f "${fd}"
+ if ! "${GPG_PACMAN[@]}" --status-fd 1 --verify $SIGNATURE | grep -qE 'TRUST_(FULLY|ULTIMATE)'; then
error "$(gettext "The signature identified by %s could not be verified.")" "$SIGNATURE"
exit 1
fi
- rm -f "${fd}"
}
updatedb() {